Subject: bug#30005: 27.0.50; call-interactively doesn't work correctly if the interactive specification has an embedded null byte

From: Richard Stallman <[email-masked]>
Date: Tue, 23 Jan 2018 13:06:35 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > That's not my understanding of the preferred style.  My understanding,
  > and what I do in practice, is that variables used only in a small
  > portion of a function should be declared before the use, so that all
  > the references to those variables are localized to the fragment where
  > they are used.  By contrast, in this case these variables are used all
  > over the function, so it makes much less sense to delay their
  > declaration.

I agree.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)
Skype: No way! See https://stallman.org/skype.html.